Subject: bug#61655: closed (Re: bug#61655: [Tree sitter] [Feature Request] font-lock function calls, definitions, separately)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Feb 2023 02:11:02 +0000

Your bug report

#61655: [Tree sitter] [Feature Request] font-lock function calls, definitions, separately

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61655: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61655
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61655: [Tree sitter] [Feature Request] font-lock function calls, definitions, separately
From: Dmitry Gutov <[email-masked]>
To: Randy Taylor <[email-masked]>
Cc: [email-masked], [email-masked], Theodor Thornhill <[email-masked]>, [email-masked], Eli Zaretskii <[email-masked]>
Date: Tue, 28 Feb 2023 04:09:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 25/02/2023 15:05, Dmitry Gutov wrote:
> I suppose we should go with -use-, unless more alternatives are suggested.

And done. Thanks all!

Subject: [Tree sitter] [Feature Request] font-lock function calls, definitions, separately
From: Jacob Faibussowitsch <[email-masked]>
To: [email-masked]
Date: Mon, 20 Feb 2023 10:54:42 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Is it possible to have the builtin tree sitter give differentiate font-locking for function calls and function definitions?

The 3rd party tree-sitter package (https://github.com/emacs-tree-sitter/elisp-tree-sitter) has this feature and it is quite nice. In fact it goes further, allowing you to additionally distinguish between builtin calls, macro calls, method calls, etc. (see https://github.com/emacs-tree-sitter/elisp-tree-sitter/blob/master/lisp/tree-sitter-hl.el).

As far as I could see, the builtin mode only provides `font-lock-function-name-face`. I have set treesit-font-lock-level to 4. 

Examples below are for C/C++ mode, but this would apply to any number of languages.

Desired (i.e. what 3rd party package produces):

Current:

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)